import type { ApolloClient } from '@apollo/client';
import { Id } from './minilinks.js';
export declare const delay: (time: any) => Promise<unknown>;
export interface PromiseOptions {
    id: Id;
    timeout?: number;
    client: ApolloClient<any>;
    Then: Id;
    Promise: Id;
    Resolved: Id;
    Rejected: Id;
    Results: boolean;
}
export declare function awaitPromise(options: PromiseOptions): Promise<any>;
export declare function findPromiseLink(options: PromiseOptions): Promise<any>;
export declare function reject(options: PromiseOptions): Promise<boolean>;
export declare function resolve(options: PromiseOptions): Promise<boolean>;
